Skip to content
Platform / Docs / Seedance 2.0 15fast API

API Reference

Seedance 2.0 15fast API

POST seedance-api ID 16

Seedance 2.0 15fast for faster video generation. Parameters follow this page.

POST https://xiaoapis.com/api/video/seedance

Overview

  • 快速生成
  • 异步任务

Use cases

  • 快速视频草稿
  • 批量创意
Conventions
  • Gateway · https://xiaoapis.com
  • Auth · send key (query or JSON body, as this API specifies)
  • Response · JSON. Check the business code and the HTTP status, not only HTTP 200

Authentication

Send the platform API key (query parameter key or JSON field key, as this page specifies). Create one in API key management.

POST https://xiaoapis.com/api/video/seedance
Content-Type: application/json

{
  "key": "YOUR_API_KEY"
}

Request example

https://xiaoapis.com/api/video/seedance?key=你的密钥

Details

请求HEADER:

名称值
Content-Typeapplication/json

请求参数说明:

名称必填类型示例值说明
key是string35kj5jnlj53453kl5j43nj5接口密钥,在控制台->密钥管理查看
prompt是string哥斯拉在广场中央跳舞提示词
aspect_ratio否
string720x1280尺寸,默认为720x1280。可选:720x1280,1280x720(竖屏或者横屏的意思)
image_urls否string[https://www.xom.com/1.png]图片
callBackUrl是stringhttp://your-callback-url.com/complete用于接收视频生成任务完成更新的URL地址。可选但推荐在生产环境中使用。

返回参数说明:

名称类型说明
codeint状态码
msgstring状态信息
datastring请求结果数据集
- task_idstring任务 ID 可与“获取任务详细信息”端点一起使用,以查询任务状态
debugstring/array调试数据
exec_timefloat执行耗时
user_ipstring客户端IP

Response example

<p>{ &nbsp;&quot;code&quot;: 200, &nbsp;&quot;msg&quot;: &quot;success&quot;, &nbsp;&quot;data&quot;: { &nbsp; &nbsp;&quot;taskId&quot;: &quot;veo_task_abcdef123456&quot; &nbsp;}}</p><p><br/></p>

FAQ

15fast 适合什么?

更看重出片速度的草稿与批量场景。

如何调用?

提交文档要求的生成参数与 Key,异步取结果。

和全能参考版区别?

全能参考版更强调多参考控制;15fast 侧重速度。

能否商用?

以平台服务条款与内容政策为准。

失败排查?

检查参数完整性、素材 URL 与额度。

Full console doc (with the debugger):/doc/16